package com.mdd.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mdd.admin.service.ISettingSearchService;
import com.mdd.admin.validate.setting.SettingSearchValidate;
import com.mdd.admin.vo.setting.SettingSearchDetailVo;
import com.mdd.admin.vo.setting.SettingSearchObjectVo;
import com.mdd.common.entity.setting.HotSearch;
import com.mdd.common.mapper.setting.HotSearchMapper;
import com.mdd.common.util.ConfigUtils;
import java.util.Iterator;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class SettingSearchServiceImpl implements ISettingSearchService {
   @Resource
   HotSearchMapper hotSearchMapper;

   public SettingSearchDetailVo detail() {
      Integer isHotSearch = Integer.parseInt(ConfigUtils.get("search", "isHotSearch", "0"));
      List<HotSearch> list = this.hotSearchMapper.selectList((Wrapper)(new QueryWrapper()).orderByDesc("sort"));
      SettingSearchDetailVo vo = new SettingSearchDetailVo();
      vo.setIsHotSearch(isHotSearch);
      vo.setList(list);
      return vo;
   }

   public void save(SettingSearchValidate searchValidate) {
      String isHotSearch = String.valueOf(searchValidate.getIsHotSearch());
      ConfigUtils.set("search", "isHotSearch", isHotSearch);
      this.hotSearchMapper.delete((Wrapper)(new QueryWrapper()).ge("id", 0));
      Iterator var3 = searchValidate.getList().iterator();

      while(var3.hasNext()) {
         SettingSearchObjectVo vo = (SettingSearchObjectVo)var3.next();
         HotSearch hotSearch = new HotSearch();
         hotSearch.setName(vo.getName());
         hotSearch.setSort(vo.getSort());
         this.hotSearchMapper.insert(hotSearch);
      }

   }
}
